curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/{externalEventId}/identifiers \
--header 'Authorization: Bearer <token>'{
"results": [
{
"externalEventId": "<string>",
"marketingEventName": "<string>",
"objectId": "<string>",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"externalAccountId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}This endpoint searches the portal for all Marketing Events whose externalEventId matches the value provided in the request.
It retrieves the objectId and additional event details for each matching Marketing Event.
Since multiple Marketing Events can have the same externalEventId, the endpoint returns all matching results.
Note: Marketing Events become searchable by externalEventId a few minutes after creation.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/{externalEventId}/identifiers \
--header 'Authorization: Bearer <token>'{
"results": [
{
"externalEventId": "<string>",
"marketingEventName": "<string>",
"objectId": "<string>",
"appInfo": {
"id": "<string>",
"name": "<string>"
},
"externalAccountId": "<string>"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The id of the marketing event in the external event application.